---
date: 2020-11-19
id: 6c9ce5f3-4324-4a2d-9600-76de2b3ac07f
title: Rust 1.48
---

# Changes

## Rustdoc

-   [Linking To Items By Name](20201119170237-linking_to_items_by_name)
-   [Search Aliases](20201119170710-search_aliases)

## API

### Functions

1.  std

    1.  future

        -   [pending](20201120110842-pending)
        -   [ready](20201120111157-ready)

### Primitive types

1.  slice

    -   [as~mutptrrange~](20201120101047-as_mut_ptr_range)
    -   [as~ptrrange~](20201120095739-as_ptr_range)

### Structs

1.  std

    1.  collections

        1.  VecDeque

            -   [make~contiguous~](20201120105650-make_contiguous)

### Traits

1.  std

    1.  convert

        1.  TryInto

            -   [Turn a Vector Into An Array Of a Given
                Length](20201120104659-turn_a_vector_into_an_array_of_a_given_length)

# Changelog

-   Release notes[^1]

# Footnotes

[^1]: <https://github.com/rust-lang/rust/blob/master/RELEASES.md#version-1480-2020-11-19>
